Download bank statement PDF

Downloads a specific bank statement from Plaid and returns it as a PDF via Google Cloud Storage URL

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

entityIdstringRequired
The ID of the entity that owns the account
statementIdstringRequired
The unique statement identifier from Plaid
accountIdstringOptional

Optional specific account ID (if not provided, uses first active account)

Response

Statement downloaded and uploaded successfully
successboolean
Whether the operation was successful
statement_idstring
The statement ID that was downloaded
account_idstring
Our internal account ID
account_namestring
Account name
account_maskstring
Account number mask
entity_namestring
Entity legal name
pdf_urlstringformat: "uri"
Public URL to the uploaded PDF statement
file_sizeinteger
Size of the PDF file in bytes
generated_atstringformat: "date-time"
When this download was processed

Errors

400
Bad Request Error
500
Internal Server Error